import { clear, successLog, torderLog } from './utils/console.js';
import PackageManager from './packageManager.js';
import copy from './utils/file.js';
import selectOptions from './utils/prompt.js';
import DEFAULT_TEMPLATE from './utils/string.js';
import runTransCode from './jscodeshift/main.js';
import addModules from './utils/option.js';
import { setGlobals } from './utils/common.js';

async function create(projectName) {
  clear();
  const selectedOptions = await selectOptions(projectName);
  setGlobals(projectName, selectedOptions);
  await copy(DEFAULT_TEMPLATE, projectName);
  await runTransCode(projectName, selectedOptions);
  clear();
  torderLog();
  const packageManager = PackageManager;
  packageManager.init(projectName);
  packageManager.addModules(selectedOptions);
  await addModules(projectName, selectedOptions);
  await packageManager.install();
  successLog(projectName);
}

export default create;
