import ncp from 'ncp';
import { join } from 'path';
import { appRootPath } from './path.js';

const copy = (path, destination) => new Promise((resolve, reject) => {
  const source = join(appRootPath, path);
  const options = {
    clobber: true,
    stopOnErr: true,
  };
  ncp.limit = 16;
  ncp(source, destination, options, (err) => {
    if (err) reject(err);
    resolve();
  });
});

export default copy;
